Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class TypeDescriptionHelper

    java.lang.Object
      |
      +--org.omg.CORBA.TypeDescriptionHelper

public class TypeDescriptionHelper
extends java.lang.Object

Helper class for : TypeDescription

Author:
  OpenORB Compiler

Constructor Summary
`TypeDescriptionHelper()`

Method Summary
`static TypeDescription` | `extract(Any a)` Extract TypeDescription from an any
`static java.lang.String` | `id()` Return the TypeDescription IDL ID
`static void` | `insert(Any a, TypeDescription t)` Insert TypeDescription into an any
`static TypeDescription` | `read(InputStream istream)` Read TypeDescription from a marshalled stream
`static TypeCode` | `type()` Return the TypeDescription TypeCode
`static void` | `write(OutputStream ostream, TypeDescription value)` Write TypeDescription into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeDescriptionHelper

    public TypeDescriptionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TypeDescription t)

  Insert TypeDescription into an any
  Parameters:
    `a` - an any
    `t` - TypeDescription value

### extract

    public static TypeDescription extract(Any a)

  Extract TypeDescription from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TypeDescription value

### type

    public static TypeCode type()

  Return the TypeDescription TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TypeDescription IDL ID
  Returns:
    an ID

### read

    public static TypeDescription read(InputStream istream)

  Read TypeDescription from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TypeDescription value

### write

    public static void write(OutputStream ostream,
                             TypeDescription value)

  Write TypeDescription into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TypeDescription value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD